# classes/phing/tasks/ext/pdo/PlainPDOResultFormatter.php

## \PlainPDOResultFormatter
jump to top

Plain text formatter for PDO results.

Extends from
  \PDOResultFormatter
author
  Hans Lellelid
package
  phing.tasks.ext.pdo
since
  2.3.0

### Properties

`string $coldelimiter= ','`

Column delimiter.

Defaults to ','

Default value`,`Details

Type
  string

`boolean $colsprinted= 'false'`

Have column headers been printed?

Default value `false` Details

Type
  boolean

`string $rowdelimiter= 'PHP_EOL'`

Row delimiter.

Defaults to PHP_EOL.

Default value `PHP_EOL` Details

Type
  string

`boolean $showheaders= 'true'`

Whether to show headers.

Default value `true` Details

Type
  boolean

### Methods

`getPreferredOutfile( ) :`
`processRow( array $row ) :`
Processes a specific row from PDO result set.
Parameters

Name | Type | Description
--- | --- | ---
$row | array | Row of PDO result set.

`setColdelim( string $v ) :`
Sets the column delimiter.
Parameters

Name | Type | Description
--- | --- | ---
$v | string |

`setRowdelim( string $v ) :`
Sets the row delimiter.
Parameters

Name | Type | Description
--- | --- | ---
$v | string |

`setShowheaders( boolean $v ) :`
Set the showheaders attribute.
Parameters

Name | Type | Description
--- | --- | ---
$v | boolean |

Documentation was generated by DocBlox 0.13.1.